<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>c_str()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html#a7adcc5f4d19c41cdc72dca79cb273ae4">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_buffer.html#ac96ee2777c255c8401314cd83000b17a">alexaClientSDK::avsCommon::utils::logger::LogEntryBuffer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html#a68098e16766d28ffea96dbdc47efd0c4">alexaClientSDK::avsCommon::utils::logger::LogEntryStream</a>
</li>
<li>calculateBufferSize()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#aa2fbbde6d53edb9d9fc3524d0e44e66b">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;</a>
</li>
<li>calculateDataOffset()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout.html#a7ed1bb211cbd2f2d683138866e29ec49">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;</a>
</li>
<li>calculateTimeToRetry()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_retry_timer.html#a381c8d0fc233ae06c79b1cf417cc4cea">alexaClientSDK::avsCommon::utils::RetryTimer</a>
</li>
<li>callback()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_callback.html#a727623a5c9960a8fddba4dc42f77ca61">alexaClientSDK::mediaPlayer::android::test::MockCallback</a>
</li>
<li>CallbackData()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_callback_data.html#a4f742ae695d42d67085a183f1c82887e">alexaClientSDK::avsCommon::utils::libcurlUtils::CallbackData</a>
</li>
<li>callBuildJsonEventString()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_capability_agent.html#aee2bba1e39f7d2678d045c858cd5246c">alexaClientSDK::avsCommon::test::MockCapabilityAgent</a>
</li>
<li>callConnectedRingtone()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#ac2a39df81d5c9b6833db79383a8d44d6">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html#ac4b7c61618e26734480b2ff62bde2e6d">alexaClientSDK::avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a>
</li>
<li>callDisconnectedRingtone()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a54468269a8c166b71c7010a5c96d8766">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html#a8f929dc7472bb09a8434c486776e8a8d">alexaClientSDK::avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a>
</li>
<li>callIncomingRingtone()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#ad90a6831c6a4780622ccd9301b3bd3b9">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html#a4bad7995ad4f441e3d6e56e2a71e0d87">alexaClientSDK::avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a>
</li>
<li>CallManagerInterface()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_call_manager_interface.html#a4f1e860188dfd4130141b6b1c662ef4a">alexaClientSDK::avsCommon::sdkInterfaces::CallManagerInterface</a>
</li>
<li>callMethod()
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a74615a82507e5bc8a253ce13e34246f9">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy</a>
</li>
<li>callMethodWithFDList()
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#afb7a0400c211451c3563a56cf7f3492d">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy</a>
</li>
<li>callOnProgress()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_progress_timer_test.html#a889a241eca0a5a9f3e2209589526b6b4">alexaClientSDK::capabilityAgents::audioPlayer::test::ProgressTimerTest</a>
</li>
<li>cancel()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html#a36447d4fca668ef512447238056657b1">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#ac64baed1a119a6272d2350189810af96">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request</a>
</li>
<li>cancelDirective()
: <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html#a738b6cc84cc4963290b1e75896d84c6f">alexaClientSDK::adsl::DirectiveRouter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a3840603cf5c461f2e13b61cbab0e3e90">alexaClientSDK::avsCommon::avs::CapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#aaee66095b476f1d139eafd6514240324">alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a7b70eacac868a59404cd2cbde1489f31">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_capability_agent.html#ae092f0a5bbe641980f7126c940ebd2a7">alexaClientSDK::avsCommon::test::MockCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af056be10add85a148b2387f724882950">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8d272b5ad0063344ed45c80945417283">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_player.html#a2c710c16f3627790fcc3238d34da9361">alexaClientSDK::capabilityAgents::audioPlayer::AudioPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html#a81b8c01fec7775d5a16bf0fb51f379cc">alexaClientSDK::capabilityAgents::bluetooth::Bluetooth</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html#a5e1c44edd122f69003bcfb21838a7e73">alexaClientSDK::capabilityAgents::doNotDisturb::DoNotDisturbCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1equalizer_1_1_equalizer_capability_agent.html#ac07ecaa4aee65c0afc20d4067d7ea5ca">alexaClientSDK::capabilityAgents::equalizer::EqualizerCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#a072925a5404ec4192b08fc27a7fcd1a7">alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html#a7c489199bbc2b6bd4b8bfc5519665321">alexaClientSDK::capabilityAgents::interactionModel::InteractionModelCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html#ae03d9fc1c843a87b4e55800ca6611a0f">alexaClientSDK::capabilityAgents::mrm::MRMCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html#a440326c0e686e1dfa032a868477ff520">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a1069b701f6fd4e83c173588097cd2b14">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html#a748dcdd50008c02019390c9f5254ee82">alexaClientSDK::capabilityAgents::speechSynthesizer::SpeechSynthesizer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#adce15af5952c265f6f38ddb934d69174">alexaClientSDK::capabilityAgents::system::EndpointHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_revoke_authorization_handler.html#adb0b42a70d7804fddb382b1e8ca167dc">alexaClientSDK::capabilityAgents::system::RevokeAuthorizationHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a6f3994b9347db8ac4d53128acb61b89c">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_user_inactivity_monitor.html#a14a115fcc2e359709d0629478f2cab74">alexaClientSDK::capabilityAgents::system::UserInactivityMonitor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html#a947fa2c32902652d5931146712174fc2">alexaClientSDK::capabilityAgents::templateRuntime::TemplateRuntime</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#a346a60af43ec62960dd1da7bd0d9576f">alexaClientSDK::integration::test::TestDirectiveHandler</a>
</li>
<li>cancelNotificationRendering()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer.html#a4f590589d4503fd32ee47fdc1b683b72">alexaClientSDK::capabilityAgents::notifications::NotificationRenderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer_interface.html#afddf911fa96fd2f19ae06bd3360a34cd">alexaClientSDK::capabilityAgents::notifications::NotificationRendererInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_mock_notification_renderer.html#a6c08cafc318b735bf13f720ae24beae9">alexaClientSDK::capabilityAgents::notifications::test::MockNotificationRenderer</a>
</li>
<li>CapabilitiesDelegateTest()
: <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ac3d0c1568da82a8404a21479302e744d">alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest</a>
</li>
<li>CapabilityAgent()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a7254a7c71bc99bdeab87ae9a2c7dc5c8">alexaClientSDK::avsCommon::avs::CapabilityAgent</a>
</li>
<li>CapabilityConfiguration()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#ada77e288e6a65a8a0f9bb0804949bc29">alexaClientSDK::avsCommon::avs::CapabilityConfiguration</a>
</li>
<li>CBLAuthDelegate()
: <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate.html#a8d7b8505de39a1008ade4a3ef4bec812">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegate</a>
</li>
<li>changeSetting()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#ac25a76543c6167dd86a3eef9ff5a814e">alexaClientSDK::capabilityAgents::settings::Settings</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a43d0a29373c9e304b4deafd06742aea9">alexaClientSDK::defaultClient::DefaultClient</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a42549ad226adfc2caa04b7c8992b1556">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>Channel()
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a4bb4084a19af877be354d11f919b32d8">alexaClientSDK::afml::Channel</a>
</li>
<li>ChannelConfiguration()
: <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html#ad83e19eea25ba78da4731426677eac8b">alexaClientSDK::afml::FocusManager::ChannelConfiguration</a>
</li>
<li>channelLayout()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#ae874ff85d132fc5e724a96034038a567">alexaClientSDK::mediaPlayer::android::PlaybackConfiguration</a>
</li>
<li>checkContextString()
: <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_mock_context_requester.html#a22a0f4336b34581a14150283e2fb4659">alexaClientSDK::contextManager::test::MockContextRequester</a>
</li>
<li>checkElapsed()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test_1_1_stopwatch_test.html#ab29bb574fe924931c1555310d26608de">alexaClientSDK::avsCommon::utils::timing::test::StopwatchTest</a>
</li>
<li>checkForEmptyQueue()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a67aa409af0aed34e41dc17240fe3d90b">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a9e7d1ff35cb9236cdf9aea4a4d12f1f0">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_storage.html#a7d47e309ae8b70c4a74b2eaab903a341">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsStorage</a>
</li>
<li>checkForServerSideDisconnect()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#a80010f65b31db8ee4a4bb98277691fcf">alexaClientSDK::integration::ConnectionStatusObserver</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html#ac3f65f70a0c8cc3780e3bdc04e92a1e4">alexaClientSDK::integration::test::AVSCommunication</a>
</li>
<li>checkGetContextAndReleaseTrigger()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test_1_1_playback_controller_test.html#a960d66ad7e932ed108bb14c694c73a84">alexaClientSDK::capabilityAgents::playbackController::test::PlaybackControllerTest</a>
</li>
<li>checkMessageRequestAndReleaseTrigger()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test_1_1_playback_controller_test.html#ae0e3f41561b32f5a3284a9beba368d9c">alexaClientSDK::capabilityAgents::playbackController::test::PlaybackControllerTest</a>
</li>
<li>checkNotificationIndicatorsEquality()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notifications_storage_test.html#a1b71d1a745f38eb5dd3915dbe17bcbd0">alexaClientSDK::capabilityAgents::notifications::test::NotificationsStorageTest</a>
</li>
<li>checkSentEventName()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alerts_test.html#a74c238020f452e07060ea3e6bc3b4232">alexaClientSDK::integration::test::AlertsTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a7ab143e6a2cab4ad9151edcf3d5972b3">alexaClientSDK::integration::test::AudioInputProcessorTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a3dc17b8efbc6d1f3af3b82974bfdb42a">alexaClientSDK::integration::test::AudioPlayerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_speech_synthesizer_test.html#a510b9b91704422741fea021445c65473">alexaClientSDK::integration::test::SpeechSynthesizerTest</a>
</li>
<li>checkState()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_aip_state_observer.html#ada81b4132e92bc30272baf4f4675fed7">alexaClientSDK::integration::AipStateObserver</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a9aa6ea481d1d8d296a8f8dacb2252b69">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver</a>
</li>
<li>checkStateRequested()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1test_state_provider.html#a0d67d47a97e989627882ae2c8128babe">alexaClientSDK::integration::test::testStateProvider</a>
</li>
<li>cleanup()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html#abd3672bba780f47bcfc0fcc7cf393102">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::BluetoothServiceInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a2_d_p_sink.html#a0fadeb38961ed92a83a7d9c0af8b698c">alexaClientSDK::bluetoothImplementations::blueZ::BlueZA2DPSink</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a2_d_p_source.html#a4e304734a8b1e2d19986d630b17a4c1f">alexaClientSDK::bluetoothImplementations::blueZ::BlueZA2DPSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html#a5947114b7c5fe7354687588d63bf5c03">alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html#a0ea5c5b9c6656bec109cce5b7b132331">alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPTarget</a>
</li>
<li>cleanUp()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a527b91c8703bb81bd4cc748a78779217">alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest</a>
</li>
<li>cleanupLocalDbFile()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notifications_storage_test.html#aca8bc9695f12eb365e1a98882cd7cc37">alexaClientSDK::capabilityAgents::notifications::test::NotificationsStorageTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_message_storage_test.html#ab6e64e6fdadecf8eb22e2db493d62f64">alexaClientSDK::certifiedSender::test::MessageStorageTest</a>
</li>
<li>clear()
: <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate_storage_interface.html#afd8a90ae9d59a45613490ddbddc87b51">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegateStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_s_q_lite_c_b_l_auth_delegate_storage.html#a632cc81f09af35da3e99a7767e3124aa">alexaClientSDK::authorization::cblAuthDelegate::SQLiteCBLAuthDelegateStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_storage_interface.html#a236cc7337750d04b41f67e907454698a">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_storage_interface.html#ad847f26401e6e1c2e60d4801c49911d7">alexaClientSDK::capabilityAgents::bluetooth::BluetoothStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_s_q_lite_bluetooth_storage.html#a9ab30987890bbaf8cf37f5acaef7bc1f">alexaClientSDK::capabilityAgents::bluetooth::SQLiteBluetoothStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_misc_d_b_equalizer_storage.html#ad79645a49736a1717c805d9ca5c8b62b">alexaClientSDK::equalizer::MiscDBEqualizerStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a761bafb286b162e34f1207203b7de009">alexaClientSDK::mediaPlayer::OffsetManager</a>
</li>
<li>clearBuffers()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_buffer_queue.html#ae758e882d3e499bd62d72e18dbecb1fa">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESBufferQueue</a>
</li>
<li>clearCapabilityConfigurations()
: <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_capability_provider.html#a5366851cc168fb9e72aed61dda5cc6ad">alexaClientSDK::capabilitiesDelegate::test::TestCapabilityProvider</a>
</li>
<li>clearData()
: <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate.html#acde6f10ba3fb25419f66fdc7927c9bc0">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegate</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_callback_data.html#ac0b35abf5c6807e28ec1f62e88ec7154">alexaClientSDK::avsCommon::utils::libcurlUtils::CallbackData</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#aa98b9cb38f44382eeecfe7929a12f72b">alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a9b9ac84c64214653bed09c8307a2f142">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler.html#a9494f866ccf6e8f8dc4c71ffa2417bae">alexaClientSDK::capabilityAgents::alerts::AlertScheduler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html#a7711f95928afc41d4b19a6148e93f2e8">alexaClientSDK::capabilityAgents::bluetooth::Bluetooth</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html#a5cca52d460a36781756eed57a13ccd2d">alexaClientSDK::capabilityAgents::doNotDisturb::DoNotDisturbCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1equalizer_1_1_equalizer_capability_agent.html#acacdb0be2791e189880180d4865053cb">alexaClientSDK::capabilityAgents::equalizer::EqualizerCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html#ad560da41f71bb7775917ec5826b637ad">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a2eeec99cb9ac3877f708d0e1a2439dc1">alexaClientSDK::capabilityAgents::settings::Settings</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_certified_sender.html#a6cb617379260eb52dfde94f0a41798a9">alexaClientSDK::certifiedSender::CertifiedSender</a>
, <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html#a36e0bb31b4187dbc04141aca7209f4c5">alexaClientSDK::registrationManager::CustomerDataHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a2bb3772f15529d8543af5ae64935ef3e">alexaClientSDK::registrationManager::CustomerDataManager</a>
</li>
<li>clearDatabase()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_alert_storage_interface.html#a81266ad4f52672d03cabe0a5ceab45f1">alexaClientSDK::capabilityAgents::alerts::storage::AlertStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#adee71480008254fba1009c2007bace25">alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_alert_storage.html#a0d408752481020f7a51f0043f6a6c263">alexaClientSDK::capabilityAgents::alerts::test::StubAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a84cd4d3aa66c353c551fca8d5c601278">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_storage_interface.html#a69418c7410e8e20e894b7ad73347071f">alexaClientSDK::capabilityAgents::settings::SettingsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_s_q_lite_setting_storage.html#a8239888aaa8d96ef97fe27258b643ba3">alexaClientSDK::capabilityAgents::settings::SQLiteSettingStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">alexaClientSDK::certifiedSender::MessageStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a5d9d808fbe9553b43de2422e24605427">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>
</li>
<li>clearNotificationIndicators()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a5472b2cc4073addea17e0deca304e519">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a057147d3e904bffec04f7eead1fced21">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_storage.html#a780da56467b096a9e51082fd635bc4e5">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsStorage</a>
</li>
<li>clearObservers()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a470b65d9c0de19f8bc6b12b46ceee917">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a>
</li>
<li>clearOnReadDataHandler()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#add1d117c9368996e79c0a945ce8c2804">alexaClientSDK::mediaPlayer::BaseStreamSource</a>
</li>
<li>clearPlayerInfoCard()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface.html#af9b7fdc8cbf458d4fb08130317fce21b">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a304ed998fe2aee20403792cc20d2b88d">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>clearRefreshToken()
: <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate_storage_interface.html#a1c7033b2b9db3b1d4099ca4b0c7f85cf">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegateStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_s_q_lite_c_b_l_auth_delegate_storage.html#a34666fdf70aa5f4b13fa593934fe64e4">alexaClientSDK::authorization::cblAuthDelegate::SQLiteCBLAuthDelegateStorage</a>
</li>
<li>clearTable()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ac7e30b187957da2c3f56a6171ad6ea02">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#abd19f2efade0e25e0e50a10f7c2480b2">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a1a138d6576479935f9e64df39172b7ab">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#a3bb8741f74b129f27c42004c895a4cc8">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#abc34ef4f001992e8459af24d3a5bc0b8">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>clearTemplateCard()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface.html#a1b580ecba0c67d343b5f41e400fcc713">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#aa9fe17ea7559283e44d4fa2b56ea3028">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>ClientMessageHandler()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_client_message_handler.html#afdf178033c56667b0334177217e979a9">alexaClientSDK::integration::ClientMessageHandler</a>
</li>
<li>close()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html#a528a54797541c7c9d351bb43da37037e">alexaClientSDK::avsCommon::avs::attachment::AttachmentWriter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_reader.html#a8a5717eb8c5c50ad8b346a0853b9b465">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_writer.html#a5d94c5c5783daddbc0de788780b8e6bd">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachmentWriter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a2c545ad8cb26869a10f5baa3593e0c6a">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a6479774c22cefcdeded49986aca3eaa8">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a57919ee59302069a02614d884b5dfd80">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::Reader&lt; T &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html#a843b9440e8865bd4d272ea49a11b2c4c">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::Writer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_writer.html#a8e071604b0ed1681fddcddea6c2bc284">alexaClientSDK::avsCommon::utils::TestableAttachmentWriter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html#a2fcc851cc1651c5d5a25f25d80b42da4">alexaClientSDK::bluetoothImplementations::blueZ::DBusConnection</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a4b7c2ba13db7dc5edf668813c7942ae7">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_alert_storage_interface.html#a9b5186ee46f04b46fcff8cffe8e0abc3">alexaClientSDK::capabilityAgents::alerts::storage::AlertStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#a65408b44dcb45a51db35f197038a8eef">alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_mock_alert_storage.html#a8a5dcd6bcc7c56537665d50bd249a6db">alexaClientSDK::capabilityAgents::alerts::test::MockAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_alert_storage.html#aa8831633a6fcdb41101f0e9b6bf23f4f">alexaClientSDK::capabilityAgents::alerts::test::StubAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a3cecb75a0a724c1aadc178e53beec6cd">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_storage_interface.html#ae5576daee25f1af3c3c711dc2b8fb215">alexaClientSDK::capabilityAgents::bluetooth::BluetoothStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_s_q_lite_bluetooth_storage.html#a45e05d388995e05cb261c8175cbd24e7">alexaClientSDK::capabilityAgents::bluetooth::SQLiteBluetoothStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2e8e0ca85a40291d179f955a33f3505f">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a0e722b2b201f04f278f4a28d48556b3d">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_storage.html#a098a6c8b47a931380d348a519a59d4c0">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_storage_interface.html#a238caa6e15c85f44ea846e3f05f9064b">alexaClientSDK::capabilityAgents::settings::SettingsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_s_q_lite_setting_storage.html#a1400fbefbcba79e7cb4f8cd1afda6ad9">alexaClientSDK::capabilityAgents::settings::SQLiteSettingStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">alexaClientSDK::certifiedSender::MessageStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a012924d79ce7257c4ac563e5adfa9fbe">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a9c9167b911a1845fd12351a6075c926f">alexaClientSDK::mediaPlayer::BaseStreamSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_attachment_reader.html#a8fd4d8a4b268cdeab2f7843afeadde54">alexaClientSDK::mediaPlayer::test::MockAttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#ab2eed1ce519c25f9bd62c0c645bbc306">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8a94a88ecf16ea20a38996981b65276f">alexaClientSDK::speechencoder::EncoderContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_opus_encoder_context.html#aeb2bce230bb7cc7877d63b48d0283e3c">alexaClientSDK::speechencoder::OpusEncoderContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#a048eaa8f2093b2fee7fdd794127bea63">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#a2d461cbc41ec346b0f0708fb17faa672">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>closeAndDeleteDB()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test_1_1_s_q_lite_bluetooth_storage_test.html#a132aa9fa6755733b796407926b2dda95">alexaClientSDK::capabilityAgents::bluetooth::test::SQLiteBluetoothStorageTest</a>
</li>
<li>closeDB()
: <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html#a70ed594ce09b3cdb93dcf834c7bcc573">alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest</a>
</li>
<li>commit()
: <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database_1_1_transaction.html#a776bb8f552b2752aca89f766f4ee4317">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase::Transaction</a>
</li>
<li>commsControl()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ae69b59522d02bc442c252443a533e0dc">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>communications()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory.html#a70ae3a9a9742904502d50e83c674d333">alexaClientSDK::applicationUtilities::resources::audio::AudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html#aa5b10ce4c0dd6ed31718e9d111659a9b">alexaClientSDK::avsCommon::sdkInterfaces::audio::AudioFactoryInterface</a>
</li>
<li>Configuration()
: <a class="el" href="structalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport_1_1_configuration.html#a2b7d197065d686d5fbdc51aa1fd30244">alexaClientSDK::acl::HTTP2Transport::Configuration</a>
</li>
<li>ConfigurationNode()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html#a4b7dc2a71337e560344143b282fee2ea">alexaClientSDK::avsCommon::utils::configuration::ConfigurationNode</a>
</li>
<li>configureRecognizeMode()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html#ae59a09b51af4e80fb2a47978240c06d3">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESMicrophone</a>
</li>
<li>configureSettingsNotifications()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a3b10accdb929579e46483b575141979f">alexaClientSDK::sampleApp::UIManager</a>
</li>
<li>confirmReauthorizeDevice()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a43a012e48d2a27c8556b2f8e549446d9">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>confirmResetDevice()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1c27683340ba8b6c5ee6bc85ad457cb4">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>connect()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html#a513956d88628554873eb75910bbdb216">alexaClientSDK::acl::HTTP2Transport</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a6bb150f6f32190c7b334dc3e82fd1be3">alexaClientSDK::acl::TransportInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_interface.html#a6939af4d1688dc57dd1faedd61ab519c">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#a30186d90c175feddc1fa660c792802c9">alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a43e78eebb8ad0476d5e7a57bb14d1efd">alexaClientSDK::defaultClient::DefaultClient</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alerts_test.html#a21db4a11d9cf82bd073f67a37b4f4f58">alexaClientSDK::integration::test::AlertsTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a668715c1662f41f228a53cd944f466db">alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_directive_sequencer_library_test.html#a5fbe5bb6f75473f9669946272b31440e">alexaClientSDK::integration::test::AlexaDirectiveSequencerLibraryTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#aefa6e20cde5ee7105e6de0711e8e6573">alexaClientSDK::integration::test::AudioInputProcessorTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a787ef15830c33126d9662db64586f7c5">alexaClientSDK::integration::test::AudioPlayerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html#a9c6720222f1f5d788706f4337beea6dc">alexaClientSDK::integration::test::AVSCommunication</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a66d3dccf98dfeb3983cc58195ad14149">alexaClientSDK::integration::test::NetworkIntegrationTests</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_speech_synthesizer_test.html#ac180d0ef2e3eb38b960f8d1ff0f445d2">alexaClientSDK::integration::test::SpeechSynthesizerTest</a>
</li>
<li>ConnectionObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_connection_observer.html#aa6f6b307fccf9ab578432f35275db1e9">alexaClientSDK::sampleApp::ConnectionObserver</a>
</li>
<li>ConnectionStatusObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#acd4cf78cca9a275f177e50c6277d7772">alexaClientSDK::integration::ConnectionStatusObserver</a>
</li>
<li>ConsolePrinter()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#a968cdee43c3d97867b23a10bede5d409">alexaClientSDK::sampleApp::ConsolePrinter</a>
</li>
<li>ConsoleReader()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_reader.html#ae599e69bd9d9ec6603337cbd2bb347aa">alexaClientSDK::sampleApp::ConsoleReader</a>
</li>
<li>consumeMessage()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html#a581da095f530244b2598400f87ec1cd9">alexaClientSDK::acl::MessageConsumerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#abdcc5d1e01115f12ba190af2c3a8912a">alexaClientSDK::acl::MessageRouter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_testable_consumer.html#a8d30335b4a5125c0d9c7f8dd4b92be92">alexaClientSDK::acl::test::TestableConsumer</a>
</li>
<li>ContentDecrypter()
: <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a353cf8c4b80fe7733e1ff990411a27b0">alexaClientSDK::playlistParser::ContentDecrypter</a>
</li>
<li>ContextInfo()
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_context_info.html#a9052bc1a05df4447272dd17271eca33c">alexaClientSDK::capabilityAgents::alerts::Alert::ContextInfo</a>
</li>
<li>convert8601TimeStringToUnix()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_time_utils.html#af61bb5826411156f0af1689ad6ba77cf">alexaClientSDK::avsCommon::utils::timing::TimeUtils</a>
</li>
<li>convertIVToByteArray()
: <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a2669cae1f951812c695339c40c5a7588">alexaClientSDK::playlistParser::ContentDecrypter</a>
</li>
<li>convertTimeToUtcIso8601Rfc3339()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_time_utils.html#ae479873f1c13bcd199ed33bc550999aa">alexaClientSDK::avsCommon::utils::timing::TimeUtils</a>
</li>
<li>convertToUtcTimeT()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_time_utils.html#aca72a1008a7425496b2cfad886dc4d77">alexaClientSDK::avsCommon::utils::timing::TimeUtils</a>
</li>
<li>create()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#a5bb00bd3921affccdc1446c01754f175">alexaClientSDK::acl::AVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_downchannel_handler.html#a9aae8a6f2a1167a5f08fb6003a1de82a">alexaClientSDK::acl::DownchannelHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html#a931ebfb19883912fd2d09b244fda2f90">alexaClientSDK::acl::HTTP2Transport</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#ac8b6d572cfcd3ef568700e28dbeb604d">alexaClientSDK::acl::MessageRequestHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_ping_handler.html#a3553bb44449f1c1c9d5b781d5f0d902f">alexaClientSDK::acl::PingHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a9d489e373133ee3e1f8ac387f31ddeed">alexaClientSDK::acl::PostConnectSynchronizer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html#ae0513ec26dc0d0b56859faba85c7a0f9">alexaClientSDK::acl::PostConnectSynchronizerFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html#aad3101939714df4b3e1e54247650a01f">alexaClientSDK::adsl::DirectiveSequencer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a169b6749fd5c39766d3cf306077201d5">alexaClientSDK::adsl::test::MockDirectiveHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html#a18ea06e768040458caa819044e6d9215">alexaClientSDK::afml::AudioActivityTracker</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html#affa95dcfda560b41cda06cad3c0d5385">alexaClientSDK::afml::VisualActivityTracker</a>
, <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_buffer_queue.html#a873b9457655c509b08ed1edd71092d43">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESBufferQueue</a>
, <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_engine.html#ac10c5e2ad660c9e4edb0ee07645e22b9">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESEngine</a>
, <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_object.html#a6e913521480ad949693fc19498589f16">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESObject</a>
, <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate.html#a35a3aab6219b7d1d3ffa50b21726a3e7">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegate</a>
, <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate_configuration.html#a415226365627b55b2492429c52c58b10">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegateConfiguration</a>
, <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_s_q_lite_c_b_l_auth_delegate_storage.html#ad67a263e3e01289b1214e80b41947968">alexaClientSDK::authorization::cblAuthDelegate::SQLiteCBLAuthDelegateStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_reader.html#aa8308dcca87266501e3ce7a06ce49027">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_writer.html#a725fb4e821ced54aacd2599cd7cbbca4">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachmentWriter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html#a8e9e239c6457e43dd261dad01482be7e">alexaClientSDK::avsCommon::avs::AVSDirective</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_exception_encountered_sender.html#af658e3ed5d6cb73258ee0ca722cafc01">alexaClientSDK::avsCommon::avs::ExceptionEncounteredSender</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_factory_interface.html#a860ef9b969f38dd6bb787bbd945e78b0">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterfaceFactoryInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#af9bf1397ff545cc54688ae627c33535c">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_capability_agent.html#a8b444dff5a3ca581083f1cc2858b5d0c">alexaClientSDK::avsCommon::test::MockCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html#a67eb1f7802bca32000e90226e3d01eb1">alexaClientSDK::avsCommon::utils::DeviceInfo</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_multi_handle_wrapper.html#a2729f9744abf888e3ee0a4d38551d8b5">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlMultiHandleWrapper</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_h_t_t_p_content_fetcher_factory.html#a19fb9fbce465eddfa4c42e267b8d5d28">alexaClientSDK::avsCommon::utils::libcurlUtils::HTTPContentFetcherFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_post.html#a4649f9557253571738e0fb225ac33e6e">alexaClientSDK::avsCommon::utils::libcurlUtils::HttpPost</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put.html#a3b7ba5f8522f408b3513cb218b0d3dd3">alexaClientSDK::avsCommon::utils::libcurlUtils::HttpPut</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_connection.html#acee97df3c700fee4e3888dcba0f82b4e">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Connection</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html#af91f3a4b00d68b5612d3b8e83b9f2709">alexaClientSDK::avsCommon::utils::logger::test::MockLogger</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_mac_address_string.html#aff4e54e732f80e8decded5b98010e1fa">alexaClientSDK::avsCommon::utils::MacAddressString</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#ac357e2465307ba7b05c227b48175b4cc">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1network_1_1_internet_connection_monitor.html#a22f734e605953da64ab4907817b0440d">alexaClientSDK::avsCommon::utils::network::InternetConnectionMonitor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a4557b769748f6255be866e0b2eb2d627">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a2_d_p_sink.html#a45b5443758aa918b2048f06ef95ad045">alexaClientSDK::bluetoothImplementations::blueZ::BlueZA2DPSink</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a2_d_p_source.html#af3f1eac330e955d9d6859a329a2e045c">alexaClientSDK::bluetoothImplementations::blueZ::BlueZA2DPSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html#a9d2d81e61655bd1fa21e2dbf9d645c38">alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html#aa3d4f8de6b7450c730ec48c0a2555989">alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPTarget</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#ada025fb7c0d131eb3265ec513a38c9bc">alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device_manager.html#a110dd7ef2e3c54cb4cee39b3d49e59aa">alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDeviceManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_device_manager.html#a3e32aae45c2a6cb19ba0a2920c270208">alexaClientSDK::bluetoothImplementations::blueZ::BlueZDeviceManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#ac6a2b823e3cc843cbf8c1e5ba589795c">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html#a144bc6068d845d731412dce7123f2380">alexaClientSDK::bluetoothImplementations::blueZ::DBusConnection</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_properties_proxy.html#a832a2a3a7b5d3c35777fc8c30a043f59">alexaClientSDK::bluetoothImplementations::blueZ::DBusPropertiesProxy</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a66fc1cf41f434b017ac93e5407855a40">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_m_p_r_i_s_player.html#a065da695adaf99b323b4ba45faf51a7d">alexaClientSDK::bluetoothImplementations::blueZ::MPRISPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html#a4972af9f95b206e468bcf9c2c7c42686">alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pulse_audio_bluetooth_initializer.html#a5f6f39a26f580c2d35d3d66fa9187e8e">alexaClientSDK::bluetoothImplementations::blueZ::PulseAudioBluetoothInitializer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#acfe978bee545e44c30b348931c05c9a2">alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a92f408f0582092e0f70219029bffb929">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a62f2a0b16f24b07512d3a800264eeeb5">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html#a5c7b116f6e600369b1056fa644ef5242">alexaClientSDK::capabilityAgents::alerts::renderer::Renderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_test_media_player.html#af00db3f22c6f48be0d842c92cbfda3ce">alexaClientSDK::capabilityAgents::alerts::renderer::test::TestMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#a899490af047d0cd31afe79b8060f1f0f">alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_player.html#ae3f57d9d16ab7b79144ca75668dcbf98">alexaClientSDK::capabilityAgents::audioPlayer::AudioPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html#af56868a2bd2873f4d5999757a9d13104">alexaClientSDK::capabilityAgents::bluetooth::Bluetooth</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_a_v_r_c_p_transformer.html#a4f53d3bcc9bf647193efda83e2add597">alexaClientSDK::capabilityAgents::bluetooth::BluetoothAVRCPTransformer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_s_q_lite_bluetooth_storage.html#acb9c6fec6dfb8e6699aaf25402c7c1c6">alexaClientSDK::capabilityAgents::bluetooth::SQLiteBluetoothStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_d_n_d_setting_protocol.html#af6ca3b7f6c5163f398d91e53a7699bd2">alexaClientSDK::capabilityAgents::doNotDisturb::DNDSettingProtocol</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html#ab546337320230dc07ab1489451a2a50c">alexaClientSDK::capabilityAgents::doNotDisturb::DoNotDisturbCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1equalizer_1_1_equalizer_capability_agent.html#ac6bee99a3eb1316ee83ef007e4ffd8f4">alexaClientSDK::capabilityAgents::equalizer::EqualizerCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#ad2500c46956304f9eb323f009d85f957">alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html#a1696a3dd8abd2db6da46c91ad4082508">alexaClientSDK::capabilityAgents::interactionModel::InteractionModelCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html#ae0d73708ac5162f5295d3c8f0793d136">alexaClientSDK::capabilityAgents::mrm::MRMCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer.html#a4a5d997dba5c5c6ddc53810851e4098b">alexaClientSDK::capabilityAgents::notifications::NotificationRenderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html#a83f9e8038cacbf93c02004a256b4ad40">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#adb0f377d581ad792eccc8ad838fd4698">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_mock_notification_renderer.html#a02b02d0dcb77ae684cf49222d8029dc7">alexaClientSDK::capabilityAgents::notifications::test::MockNotificationRenderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html#aa070edfd0e5ca81b0482338b8047a80a">alexaClientSDK::capabilityAgents::playbackController::PlaybackController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_router.html#ac45de0dd1c710a88bdb2ced4c1fe9fec">alexaClientSDK::capabilityAgents::playbackController::PlaybackRouter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a3900feba7964d1301b188f0c2bd03e15">alexaClientSDK::capabilityAgents::settings::Settings</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html#a3b9bf25ac78248e2c3a9b86823ab1162">alexaClientSDK::capabilityAgents::settings::SettingsUpdatedEventSender</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_s_q_lite_setting_storage.html#acf4410a4814f67caf827c8fe91fcd7db">alexaClientSDK::capabilityAgents::settings::SQLiteSettingStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a319ce0e3615969726fcfd3cfc551c2b0">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html#a459c3a7db729c64877ba189aef88d8e6">alexaClientSDK::capabilityAgents::speechSynthesizer::SpeechSynthesizer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#ad9209787a94d2664fdac6fb75127ada5">alexaClientSDK::capabilityAgents::system::EndpointHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_revoke_authorization_handler.html#a65de717b7a7f77dee8ce47d72ef231da">alexaClientSDK::capabilityAgents::system::RevokeAuthorizationHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#ad4ce9189b8b155a6223a7e6b673ffa80">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_send_request.html#a32c118b443af57d983889d8c61df0a44">alexaClientSDK::capabilityAgents::system::SoftwareInfoSendRequest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_system_capability_provider.html#ad157cf1aac20460cedc77d184504433d">alexaClientSDK::capabilityAgents::system::SystemCapabilityProvider</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_user_inactivity_monitor.html#a74e8aa01fc3b85669d8b25287ca05a00">alexaClientSDK::capabilityAgents::system::UserInactivityMonitor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html#a4df4e8af2c49e6e12b9103dddafe06fb">alexaClientSDK::capabilityAgents::templateRuntime::TemplateRuntime</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_certified_sender.html#a2635a30a4753cbc28b6c952cc27a623b">alexaClientSDK::certifiedSender::CertifiedSender</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#ad1fd388805b8766210331f4ac043c87e">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html#a1a671e2a16da302721a67de7706f32a7">alexaClientSDK::contextManager::ContextManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_mock_context_requester.html#a10483a20e3a78f75977ad091d12c7798">alexaClientSDK::contextManager::test::MockContextRequester</a>
, <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_mock_state_provider.html#aae724f0b6fb11575b27b335bde62cf4f">alexaClientSDK::contextManager::test::MockStateProvider</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#af20075f93cd586af797223ca0a1cf090">alexaClientSDK::defaultClient::DefaultClient</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_controller.html#aee26fa271e4533285d3f1bfc19fecd8a">alexaClientSDK::equalizer::EqualizerController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_linear_band_mapper.html#af9fe583a7d341e59e366895a3feaf1e0">alexaClientSDK::equalizer::EqualizerLinearBandMapper</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#aacaa1f71cc13fe781f0a1c1ce74daa4c">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_misc_d_b_equalizer_storage.html#aa3736b52334c32c5b5f3d859abc7260d">alexaClientSDK::equalizer::MiscDBEqualizerStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_s_d_k_config_equalizer_configuration.html#a8530250af9193002dc812938f3eeaad4">alexaClientSDK::equalizer::SDKConfigEqualizerConfiguration</a>
, <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_provider.html#a74acc3b383234d8e22ebc97f1d9ee01f">alexaClientSDK::esp::ESPDataProvider</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html#a7b794f49efcc33cbad47efa3bde09b59">alexaClientSDK::integration::test::ACLTestContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_auth_delegate_test_context.html#ac6bdc51775e606f6cfe3a6c4dddf7f85">alexaClientSDK::integration::test::AuthDelegateTestContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html#a0170cdcfb9e60c95aaf93d7e04e1936f">alexaClientSDK::integration::test::AVSCommunication</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_s_d_k_test_context.html#a7ec6d03ab38a110463b978015ac0f861">alexaClientSDK::integration::test::SDKTestContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_keyword_detector_provider.html#a19bfb05c8a9193f3b2f53886de6203e0">alexaClientSDK::kwd::KeywordDetectorProvider</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_kitt_ai_key_word_detector.html#aa8e269bcfd081c99c63f1168c589dabf">alexaClientSDK::kwd::KittAiKeyWordDetector</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_sensory_keyword_detector.html#ac94fbc66a1adaf30d9448f3f2cdb926c">alexaClientSDK::kwd::SensoryKeywordDetector</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a9995b91b172192c84c36293eb0dff535">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#ae6ee5c6f3d2dfdca3f25ca879e05b0ae">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaQueue</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#ab4adbabd516814afef972bdf771de4b7">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_attachment_input_controller.html#a2873cbacecf02d949723068d9a807839">alexaClientSDK::mediaPlayer::android::FFmpegAttachmentInputController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_decoder.html#afd2fc0a50811582d194a14d3275b2b3a">alexaClientSDK::mediaPlayer::android::FFmpegDecoder</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_stream_input_controller.html#a1273664dfa426cbe2e9a942fd07b350d">alexaClientSDK::mediaPlayer::android::FFmpegStreamInputController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_url_input_controller.html#ad47e8013cf5cb09e0272352c467d9948">alexaClientSDK::mediaPlayer::android::FFmpegUrlInputController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_attachment_reader_source.html#a968b413522626cd13d9dafe69f30b762">alexaClientSDK::mediaPlayer::AttachmentReaderSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html#aca899332b38da13dc1d07d4f81827bb8">alexaClientSDK::mediaPlayer::IStreamSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a699012eee5cffecd15654d049e670e79">alexaClientSDK::mediaPlayer::MediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_normalizer.html#a675590058c5c04fd18445ae901f1f6ef">alexaClientSDK::mediaPlayer::Normalizer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html#a24973afe9b382b19955f45f40ddffbbc">alexaClientSDK::playlistParser::IterativePlaylistParser</a>
, <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_playlist_parser.html#ae0329ddc8ad3779f8b14ffafbb52b217">alexaClientSDK::playlistParser::PlaylistParser</a>
, <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter.html#a76b7a678181fb30d43b111b489f2022c">alexaClientSDK::playlistParser::UrlContentToAttachmentConverter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_port_audio_microphone_wrapper.html#a122c36a64ce21bed977a6744d8255cd0">alexaClientSDK::sampleApp::PortAudioMicrophoneWrapper</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#a19ed9d31833443783e984de7f91dde67">alexaClientSDK::sampleApp::SampleApplication</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_equalizer_mode_controller.html#ad681eb89cebf43cb2a037bbec7679d8e">alexaClientSDK::sampleApp::SampleEqualizerModeController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#a29098184f29bc5a4c588549473daf623">alexaClientSDK::sampleApp::UserInputManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting.html#ae6762ec41c5f95eb9d70de9f77c7bbfd">alexaClientSDK::settings::Setting&lt; ValueT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callback_adapter.html#adf215b5cbc6fd6fbf80f3598e1da611c">alexaClientSDK::settings::SettingCallbackAdapter&lt; ManagerT, id &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callbacks.html#a802d4e9bc66d0938d8ecf5ae0a28ee25">alexaClientSDK::settings::SettingCallbacks&lt; ManagerT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#acafa4e3b5eacd27aa4c897c8bde58250">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#ab45c953c581dc83429eecce1c8173280">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>createAndSendRequest()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html#a337e4d5aff7ddf29cff82898b3edbf44">alexaClientSDK::acl::ExchangeHandlerContextInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html#acc0593845b13bc8cd052aba64b2c9d69">alexaClientSDK::acl::HTTP2Transport</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a72af246d905e86f9e60f7e548a022876">alexaClientSDK::avsCommon::utils::http2::HTTP2ConnectionInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa56f9787b2a1d233a9c197678c2026d0">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_connection.html#a6153a47037c57900515eb2697b1c6f32">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Connection</a>
</li>
<li>createAttachmentReader()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_utils.html#a9c30e6a936ca57349beda55aa6d92dce">alexaClientSDK::avsCommon::avs::attachment::AttachmentUtils</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a97796d2e7d47cc7145fccf5a0cf40e0a">alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest</a>
</li>
<li>createAVSDirective()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_audio_input_processor_test.html#a2ec7334b30ec71ee8e4354a61663f256">alexaClientSDK::capabilityAgents::aip::test::AudioInputProcessorTest</a>
</li>
<li>createBuffer()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html#addbec13987e9a500338712422dca5bb5">alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESBufferQueueTest</a>
</li>
<li>createDatabase()
: <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate_storage_interface.html#ac2ae7fd52d002c567f5f4bd03c7fd3a1">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegateStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_s_q_lite_c_b_l_auth_delegate_storage.html#a563db92d88c486a06d1d3c3fd2651103">alexaClientSDK::authorization::cblAuthDelegate::SQLiteCBLAuthDelegateStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a7b85f4b54ed300d4429050fdc82eae8f">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#ad86e5ba983a89d85686fcac1c800495e">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a96452bd8672f02a01b38a4160526705e">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_alert_storage_interface.html#ac86a85d16a239e3b56442234745513a3">alexaClientSDK::capabilityAgents::alerts::storage::AlertStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#ae6f47e4442facf10ed1d76d72f227570">alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_mock_alert_storage.html#ae93c30217ff9a41f1a07c6b9dbe329a5">alexaClientSDK::capabilityAgents::alerts::test::MockAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_alert_storage.html#a1fb9fa958680dc8e1cfc08703457b551">alexaClientSDK::capabilityAgents::alerts::test::StubAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#ac8d077c7f2f207f3b5e827f1195af290">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_storage_interface.html#ab32f31c2081a9230a8201baaa3211892">alexaClientSDK::capabilityAgents::bluetooth::BluetoothStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_s_q_lite_bluetooth_storage.html#afe4cda61d496cbd42d0e54f84f03e56d">alexaClientSDK::capabilityAgents::bluetooth::SQLiteBluetoothStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6ecee82dc58ecf8ad5101572585f7889">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a4c4a6e023f0c03217333c66de84eab4d">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notifications_storage_test.html#a0d7401bcbf9baa596338fc229d7d11a3">alexaClientSDK::capabilityAgents::notifications::test::NotificationsStorageTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_storage.html#aad3c5efac97e4ab32c2c40f4c6665c47">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_storage_interface.html#a734be9e9d7c39ded86ad6fd610158d8c">alexaClientSDK::capabilityAgents::settings::SettingsStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_s_q_lite_setting_storage.html#a6f9b962779a9596494ebd30614bb4c93">alexaClientSDK::capabilityAgents::settings::SQLiteSettingStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">alexaClientSDK::certifiedSender::MessageStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a2fb82ae4bbd9473259c34e1251417530">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_message_storage_test.html#a985f8a50a9ae1a7cb0a2a934ab9faf71">alexaClientSDK::certifiedSender::test::MessageStorageTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#af0c76f834edda6ac122ea1a72a3b4d75">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>createDefault()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a261ecb7fcc5529cdcf6ab80dc15dbd6f">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>createDirectiveInfo()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a19f623357462b3e1a0b2f9c55743198b">alexaClientSDK::avsCommon::avs::CapabilityAgent</a>
</li>
<li>createDisabled()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2d75564680a8059840aa6176d1e2ed4e">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>createErrorEntry()
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a8194f6c84100e58d8742e24e25435e5e">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry</a>
</li>
<li>createHTTP2Connection()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_factory_interface.html#adeb97286f52496ff3cab8e323031cc45">alexaClientSDK::avsCommon::utils::http2::HTTP2ConnectionFactoryInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_connection_factory.html#a675cf4247c0e61c838e9b8e4e2f85886">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2ConnectionFactory</a>
</li>
<li>createMediaInitInfo()
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a657463f7dfae03ba3c7b09810a6bfd23">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry</a>
</li>
<li>createMediaPlayersForAdapters()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#ab20666cf78a732588bc1e9da02f45989">alexaClientSDK::sampleApp::SampleApplication</a>
</li>
<li>createMessageRequest()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a11a6883a416486263c1e6d9081f08b0d">alexaClientSDK::acl::test::MessageRouterTest</a>
</li>
<li>createMicrophoneRecorder()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_engine.html#a5f73a34cd83d0db28834d268625c4dee">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESEngine</a>
</li>
<li>createOutputMix()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_engine.html#a5b34ed222db2ee15b11b201d69035020">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESEngine</a>
</li>
<li>createPlayer()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_engine.html#a21ba1f5b111e8227cf69f3625887f706">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESEngine</a>
</li>
<li>createPostConnect()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">alexaClientSDK::acl::PostConnectFactoryInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html#ad42c067af6a88b7f5d24b045a62a2ddd">alexaClientSDK::acl::PostConnectSynchronizerFactory</a>
</li>
<li>createReader()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment.html#a1cfb73571b5b7fc43c663b31c1fe055a">alexaClientSDK::avsCommon::avs::attachment::Attachment</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html#a36725b6e72363308855f792608564d58">alexaClientSDK::avsCommon::avs::attachment::AttachmentManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#acb07ab71933a232425dc3f5c5fca4625">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment.html#a9d2b85c167f2832e497dd5e3b46f0814">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachment</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#ade4d39c343d0625ef27229f05325252b">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#ab3a2037228ade42d4cecc23e40a50293">alexaClientSDK::avsCommon::utils::TestableAttachmentManager</a>
</li>
<li>createReaders()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_attachment_manager_test.html#a9249d064c249d02ac585bd6997252492">alexaClientSDK::avsCommon::avs::test::AttachmentManagerTest</a>
</li>
<li>createSetting()
: <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_setting_test.html#a71b104df10df267ca69c23a7e07fde8c">alexaClientSDK::settings::test::SettingTest</a>
</li>
<li>createSinkConfiguration()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html#a1e618775725ab06b8475ff289a7c8d18">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESMicrophone</a>
</li>
<li>createSourceConfiguration()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html#a41e20326b993c53657616fbe02528c58">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESMicrophone</a>
</li>
<li>createStatement()
: <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#a967a69d2ed4a952be5c622c6de0b071a">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase</a>
</li>
<li>createStream()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#a173899bd791cd6ebb5f6e00917efcaee">alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest</a>
</li>
<li>createTable()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#aebee5b2a6006be93696f6f950a98c900">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a16300139b1400f0023f3c507a623d43e">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a93f3a14f0430c2ffd2c5e8e9afd50bab">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#a262582542d634d17d837b43b8563f201">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>createTestTable()
: <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test_1_1_s_q_lite_misc_storage_test.html#a05890cc1014fa24246ace5f61eeb528d">alexaClientSDK::storage::sqliteStorage::test::SQLiteMiscStorageTest</a>
</li>
<li>createTransport()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport_factory.html#a919d5c212539d8cbfc06501890aff41d">alexaClientSDK::acl::HTTP2TransportFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_factory_interface.html#a94a430f740493840163f1b59929bfb72">alexaClientSDK::acl::TransportFactoryInterface</a>
</li>
<li>createWriter()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment.html#ae2c10d170f8cf7ac006d60453a63a436">alexaClientSDK::avsCommon::avs::attachment::Attachment</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html#a5d75cb4670ed6172e9c8cd38f630a900">alexaClientSDK::avsCommon::avs::attachment::AttachmentManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a14d4e68c212f1edec4c3051b3f321bd6">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment.html#a364cac617a687fc4e8a01946c2b2955e">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachment</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a3f46bec69bb4325a330b8637175dd199">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a78e185e98180304bcb2959119a455a68">alexaClientSDK::avsCommon::utils::TestableAttachmentManager</a>
</li>
<li>createWriters()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_attachment_manager_test.html#a2013dc8a866b694decd39ce6dbac6c8d">alexaClientSDK::avsCommon::avs::test::AttachmentManagerTest</a>
</li>
<li>CurlEasyHandleWrapper()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a1d900e2e2ce103ec6b5f3d7289ff6f9b">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper</a>
</li>
<li>CustomerDataHandler()
: <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html#a2246fb7b5773b2d9643e880bde58acf9">alexaClientSDK::registrationManager::CustomerDataHandler</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
